Set the directory path for a given backend

- « enchant_broker_request_pwl_dict

- enchant_broker_set_ordering »

- PHP Manual
- Enchant Functions
- Set the directory path for a given backend

# enchant_broker_set_dict_path

(PHP 5 >= 5.3.1, PHP 7, PHP 8, PECL enchant >= 1.0.1)

enchant_broker_set_dict_path — Set the directory path for a given backend

Warning

This function has been DEPRECATED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

enchant_broker_set_dict_path(EnchantBroker `$broker`, int `$type`, string `$path`): bool

Set the directory path for a given backend.

### Parameters

`broker`

  An Enchant broker returned by enchant_broker_init().

`type`

  The type of the dictionaries, i.e. `ENCHANT_MYSPELL` or `ENCHANT_ISPELL`.

`path`

  The path of the dictionary directory.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `broker` expects an EnchantBroker instance now; previoulsy, a resource was expected.

### Notes

> Note:

> This function is only available if the extension has been compiled with Enchant v1.

### See Also

- enchant_broker_get_dict_path() - Get the directory path for a given backend